Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs
Class WCSExceptionCode

    java.lang.Object
      org.deegree.ogcbase.ExceptionCode
          org.deegree.ogcwebservices.wcs.WCSExceptionCode

    public class WCSExceptionCode

extends ExceptionCode

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary
`static WCSExceptionCode` | `COVERAGENOTDEFINED`

Fields inherited from class org.deegree.ogcbase.ExceptionCode
`CURRENT_UPDATE_SEQUENCE, INTERNAL_SERVER_ERROR, INVALID_CRS, INVALID_FORMAT, INVALID_POINT, INVALID_SRS, INVALID_UPDATESEQUENCE, INVALIDDIMENSIONVALUE, INVALIDPARAMETERVALUE, LAYER_NOT_DEFINED, LAYER_NOT_QUERYABLE, MISSINGDIMENSIONVALUE, MISSINGPARAMETERVALUE, NOAPPLICABLECODE, OPERATIONNOTSUPPORTED, SOAP_CLIENT, SOAP_MUST_UNDERSTAND, SOAP_SERVER, STYLE_NOT_DEFINED, value, VERSIONNEGOTIATIONFAILED`

Constructor Summary
`WCSExceptionCode()` an empty constructor doing nothing.
`WCSExceptionCode(String value)`

Method Summary

Methods inherited from class org.deegree.ogcbase.ExceptionCode
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COVERAGENOTDEFINED

    public static final WCSExceptionCode COVERAGENOTDEFINED

Constructor Detail

### WCSExceptionCode

    public WCSExceptionCode()

  an empty constructor doing nothing.

### WCSExceptionCode

    public WCSExceptionCode(String value)

Parameters:
  `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org